Subject: [U-Boot] Where to put a large bootloader-supplied device tree on ARM ?

From: [email-masked] (Albert ARIBAUD)
Date: Fri, 13 Jul 2012 08:45:26 +0200

Hi Rob,

On Thu, 12 Jul 2012 20:28:22 -0500, Rob Herring <[email-masked]> wrote:
> On 07/12/2012 04:47 PM, Wolfgang Denk wrote:
> > Dear Albert ARIBAUD,
> > 
> > In message <20120712233801.0411daa7@lilith> you wrote:
> >>
> >> If I'm not mistaken, yes U-Boot loads itself as high as it can, and I don't
> >> know about the FDT, but no, U-Boot does not "like" to load initrd "just
> >> below that": it loads initrd where the boot commands tell it to, and the
> >> boot commands are written by board developers. Nothing in U-Boot forces
> >> initrd to be loaded as high as possible.
> 
> u-boot loads the initrd where you tell it, then bootm relocates it for
> some reason.
> >>
> >> That leaves the question of the FDT, though -- I'm not familiar enough
> >> with it (yet) to tell if it is always located just under U-Boot or if
> >> its placement is controllable by board commands.
> > 
> > You can always just set the "fdt_high" and "initrd_high" evironment
> > variables to restrict the positioning of initrd and FDT in RAM; see
> > the README for details.
> 
> Yes, I'm aware of all this, but this is not the default behavior and the
> default behavior will not work in this case. It also has another bug
> related to the relocation that I fixed:
> 
> http://www.mail-archive.com/u-boot at lists.denx.de/msg86475.html
> 
> Rob

As for the default behavior, this becomes a board config issue, not a
U-Boot issue.

Regarding the patch, as a bugfix it will go in u-boot-arm/master
for 2012.07.

With all this, do we have the overall issue covered?

Amicalement,
-- 
Albert.